# Copyright © Michal Čihař <michal@weblate.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 4.1.7 on 2023-05-17 19:29

from django.db import migrations, models

import weblate.trans.validators
import weblate.utils.validators


class Migration(migrations.Migration):
    dependencies = [
        ("trans", "0169_unit_trans_unit_source_md5_index_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="component",
            name="screenshot_filemask",
            field=models.CharField(
                blank=True,
                help_text="Path of screenshots relative to repository root, for example: docs/screenshots/*.png.",
                max_length=400,
                validators=[
                    weblate.trans.validators.validate_filemask,
                    weblate.utils.validators.validate_filename,
                ],
                verbose_name="Screenshot file mask",
            ),
        ),
    ]
